﻿Imports System.Data

Partial Class Pedido
    Inherits System.Web.UI.Page

    Private produtoSelecionado As Produto

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            ddlProdutos.DataBind()
        End If
        produtoSelecionado = Me.GetprodutoSelecionado
        lblNome.Text = produtoSelecionado.Nome
        lblResumo.Text = produtoSelecionado.Resumo
        lblDescricao.Text = produtoSelecionado.Descricao
        lblPreco.Text = FormatCurrency(produtoSelecionado.Preco)
        imgProduto.ImageUrl = "Images/Products/" & produtoSelecionado.Imagem
    End Sub
    Private Function GetprodutoSelecionado() As Produto

        Dim productTable As DataView = CType(AccessDataSource1.Select(DataSourceSelectArguments.Empty), DataView)
        productTable.RowFilter = "ProdutoID = '" & ddlProdutos.SelectedValue & "'"
        Dim productRow As DataRowView = productTable(0)

        Dim produto1 As New Produto
        produto1.ProdutoID = productRow("produtoid").ToString
        produto1.Nome = productRow("Name").ToString
        produto1.Resumo = productRow("ShortDescription").ToString
        produto1.Descricao = productRow("LongDescription").ToString
        produto1.Preco = CDec(productRow("UnitPrice"))
        produto1.Imagem = productRow("ImageFile").ToString
        Return produto1
    End Function

    Protected Sub btnIncluir_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnIncluir.Click
        If Page.IsValid Then
            Dim carrinho As ItemLista = ItemLista.GetCarrinho
            Dim itemCarrinho As Item = carrinho(produtoSelecionado.ProdutoID)
            If itemCarrinho Is Nothing Then
                carrinho.IncluirItem(produtoSelecionado, CInt(txtQuantidade.Text))
            Else
                itemCarrinho.IncluiQuantidade(CInt(txtQuantidade.Text))
            End If
            Response.Redirect("Cart.aspx")
        End If
    End Sub
End Class
